﻿
-- Local Objects
local AddOnName = "RaidTracker";
local AddOnDB = "KARaidTrackerAceDB";
local L = AceLibrary("AceLocale-2.2"):new( AddOnName.."Ace" );  -- Localization DB
local Tablet = AceLibrary("Tablet-2.0");                        -- Tooltip-style display
local Dewdrop = AceLibrary("Dewdrop-2.0");                      -- Clean dropdown menu interface

-- Set up big ace object
local AceInst = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0");
AceInst.version = GetAddOnMetadata(AddOnName,"Version");
AceInst.title = GetAddOnMetadata(AddOnName,"Title");
AceInst.hasIcon = true;
AceInst.clickableTooltip = true;
AceInst.defaultPosition = "RIGHT";
AceInst.printFrame = DEFAULT_CHAT_FRAME;
AceInst.debugFrame = DEFAULT_CHAT_FRAME;

-- Set up the data
AceInst:RegisterDB( AddOnDB )
AceInst:RegisterDefaults("profile", {
    showwindows = {
        res = false,
        status = false,
    },
    showall = false,
    quiet = false,
    rsinput = {
        show = false,
        xOfs = 0,
        yOfs = 0,
        saved = false,
    },
})

-- Dropdown Menu Creation (thanks FarmerFu)
local MenuOpts = {
    handler = AceInst,
	type = "group",
	args = {
        help = {
            -- Show help window
            type = "execute",
            order = 10,
            name = "Help",
            desc = "Show Help window",
			func = function() KarmaUtility:ExecuteChatCommand("/raidtracker help") end,
		},
    },
}

function AceInst:OnInitialize()
	AceInst.OnMenuRequest = MenuOpts;
end

-- Actions when Tool is Clicked with Left Button (Fubar Default)
function AceInst:OnClick()
	if IsShiftKeyDown() then
		KarmaUtility:ExecuteChatCommand("/raidtracker options");
	else
		KarmaUtility:ExecuteChatCommand("/raidtracker");
	end
end

-- Mouseover menu
function AceInst:OnTooltipUpdate()
    -- Tooltip
	cat = Tablet:AddCategory(
		"text", "Hint:",
		"columns", 2,
		"child_textR", 0,
		"child_textG", 1,
		"child_textB", 0,
		"child_text2R", r,
		"child_text2G", g,
		"child_text2B", b
	)
	cat:AddLine("text", "Click:", "text2", L["Raid Tracker"])
	cat:AddLine("text", "ShiftClick:", "text2", L["Raid Tracker Options"])
end


